<script setup lang="ts">
import { mdiCheckboxMarkedCircle } from "@mdi/js";
import { useItemserving } from "@/stores/itemserving";
const orderServing = useItemserving();
</script>
<template>
  <!-- <v-card color="white"> -->
  <v-container class="pa-4" v-for="item in orderServing.serving" :key="item.id">
    <v-card width="800">
      <v-toolbar color="#DED4F7">
        <v-row class="justify-center">
          <div class="text-h4">โต๊ะ {{ item.number }}</div>
        </v-row>
      </v-toolbar>
      <v-container>
        <v-row class="text-h6">
          <v-col> รายการ </v-col>
          <v-col> จำนวน</v-col>
          <v-col> สถานะ </v-col>
          <v-col> ตัวเลือก</v-col>
        </v-row>
        <v-row v-for="childItem in item.items" :key="childItem.id">
          <v-col> {{ childItem.name }}</v-col>
          <v-col> x{{ childItem.quantity }} </v-col>
          <v-col>{{ childItem.status }} </v-col>

          <v-col>
            <v-btn
              color="green"
              :prepend-icon="mdiCheckboxMarkedCircle"
            ></v-btn>
          </v-col>
        </v-row>
      </v-container>
      <v-footer color="#DED4F7"> </v-footer>
    </v-card>
  </v-container>
  <!-- </v-card> -->
</template>
<style scoped></style>
